Loading...
Searching...
No Matches
Kumem utiltities
L4Re C++ Interface » L4Re Util C++ Interface
Collaboration diagram for Kumem utiltities:

## Functions

int | L4Re::Util::kumem_alloc (l4_addr_t *mem, unsigned pages_order, L4::Cap< L4::Task > task=L4Re::Env::env() ->task(), L4::Cap< L4Re::Rm > rm=L4Re::Env::env() ->rm()) noexcept
| Allocate state area.

## Detailed Description

## Function Documentation

## kumem_alloc()

int L4Re::Util::kumem_alloc | ( | l4_addr_t * | mem,
|  | unsigned | pages_order,
|  | L4::Cap< L4::Task > | task = L4Re::Env::env() ->task(),
|  | L4::Cap< L4Re::Rm > | rm = L4Re::Env::env() ->rm() )

noexcept

Allocate state area.

Parameters

  [out] | mem | Pointer to memory that has been allocated.
  | pages_order | Size to allocate, in log2 pages.
  | task | Task to use for allocation.
  | rm | Region manager to use for allocation.

Return values

  0 | for success
  <0 | error code on failure

Note
  The amount of kernel-user memory that can be allocated at once is limited by the used kernel implementation. The minimum allocatable amount is one page. A portable implementation should not depend on allocations greater than 16KiB to succeed.

References L4Re::Env::env().

Here is the call graph for this function: